# Fn<> DefaultFindBeginPatternSpec
Type of the default `findBegin` pattern specialization, given a score.

Defined in | <seqan/find.h>
Signature | `DefaultBeginPatternSpec<TScore>::Type;`

## Template Parameters

`TScore` | The score to query.

## Return Values

`Type` | The pattern specialization to use as a default.

#### Dox Sources

    /*!
     * @mfn DefaultFindBeginPatternSpec
     *
     * @headerfile <seqan/find.h>
     *
     * @brief Type of the default <tt>findBegin</tt> pattern specialization, given a
     *        score.
     *
     * @signature DefaultBeginPatternSpec<TScore>::Type;
     *
     * @tparam TScore The score to query.
     *
     * @return Type The pattern specialization to use as a default.
     */